# $Revision: 1.66 $, $Date: 2002/04/06 14:55:05 $
Summary:	Shadow password file utilities for Linux
Summary(de):	Shadow-Pawortdatei-Dienstprogramme fr Linux
Summary(es):	Utilitarios para el archivo de contraseas Shadow
Summary(fr):	Fichiers utilitaires pour Shadow password pour Linux
Summary(pl):	Narzdzia do obsugi shadow password
Summary(tr):	Glge parola dosyas aralar
Summary(pt_BR):	Utilitrios para o arquivo de senhas Shadow
Name:		shadow
Version:	4.0.0
Release:	13
Epoch:		1
License:	BSD
Group:		Applications/System
Source0:	ftp://ftp.pld.org.pl/software/shadow/%{name}-%{version}.tar.bz2
Source1:	%{name}-login.defs
Source2:	%{name}.useradd
Source3:	chage.pamd
Source4:	userdb.pamd
Source5:	chsh.pamd
Source6:	chfn.pamd
Source7:	passwd.pamd
Source8:	useradd.pamd
Patch0:		%{name}-utmpx.patch
Patch1:		%{name}-man_and_po.patch
Patch2:		%{name}-pld.patch
Patch3:		%{name}-sort-SEGV.patch
BuildRequires:	pam-devel
Provides:	shadow-utils
Provides:	passwd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	shadow-utils
Obsoletes:	passwd

%description
This package includes the programs necessary to convert standard UNIX
password files to the shadow password format, as well as programs for
command-line management of the user's accounts.
 - pwconv - converts everything to the shadow password format,
 - pwunconv - unconverts from shadow password, generating a file in the
   current directory called npasswd that is a standard UNIX password
   file,
 - pwck - checks the integrity of the password and shadow files,
 - lastlog - prints out the last login times of all users,
 - useradd, userdel, usermod - for accounts management,
 - groupadd, groupdel, groupmod - for group management.

A number of man pages are also included that relate to these
utilities, and shadow passwords in general.

%description -l es
Este paquete incluye los programas necesarios para convertir Archivos
padrn UNIX de contrasea al formato shadow.
 - pwconv5 - convierte todo al formato de contraseas del shadow,
 - pwunconv - deshace la conversin de contraseas shadow, creando un
   archivo en el directorio corriente llamado npasswd que es el archivo
   padrn UNIX de contrasea,
 - pwck - chequea la integridad de la contrasea y de los archivos
   shadow,
 - lastlog ensea el ltimo momento de login de todos los usuarios.
   Estn tambin incluidas, en general, varias pginas de manual sobre
   estos utilitarios y contraseas shadow.

%description -l pl
Pakiet zawiera programy do obsugi shadow password. Zanjduj si w nim
programy do konwersji standardowego pliku hase do wersji shadow
password a take programy do zarzdania kontami uytkownikw w
systemie
 - pwconv - konwertuje do formatu shadow password
 - pwunconv - konwertuje z shadow password do formatu standardowego
   pliku hase. W biecym katalogu tworzy plik npasswd bdcy
   standardowym plikiem z hasami,
 - lastlog - wywietla czas logowania uytkownikw,
 - useradd, userdel, usermod - do zarzdzania kontami uytkownikw,
 - groupadd, groupdel, groupmod - do zarzdzania grupami.

Ostrzeenie:

Programy znajdujce si w tym pakiecie s niezbdne do prawidowej
pracy twojego systemu i podobnie jak pakiet z bibliotekami systemowymi
- glibc nigdy nie powinien zosta odinstalowany!

%description -l pt_BR
Este pacote inclui os programas necessrios para converter
arquivos-padro UNIX de senha para o formato shadow.
 - pwconv - converte tudo para o formato de senhas do shadow,
 - pwunconv - desconverte senhas shadow, gerando um arquivo no
   diretrio corrente chamado npasswd que  o arquivo-padro UNIX de
   senha,
 - pwck - checa a integridade da senha e dos arquivos shadow,
 - lastlog - mostra o ltimo momento de login de todos os usurios.

Vrias pginas de manual esto tambm includas sobre estes
utilitrios e senhas shadow em geral.

%package extras
Summary:	shadow - not often used files
Summary(pl):	shadow - pliki nieczsto uywane
Group:		Applications/System
Requires:	%{name} = %{version}

%description extras
Programs for shadow not often used. If you have small system you may
skip them.

%description extras -l pl
Programy nieczsto uywane. W maych systemach mona je pomin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
	--disable-desrpc \
	--with-libcrypt \
	%{!?_without_static:--enable-static} \
	%{!?_without_static:--disable-shared} \
	%{?_without_static:--disable-static} \
	%{?_without_static:--enable-shared} \
	--with-libpam \
	--with-md5crypt \
	--with-nls \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{default,pam.d,security,skel}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/login.defs
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/default/useradd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/chage
install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/shadow
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/chsh
install %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/chfn
install %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/passwd
install %{SOURCE8} $RPM_BUILD_ROOT/etc/pam.d/useradd

> $RPM_BUILD_ROOT%{_sysconfdir}/shadow
> $RPM_BUILD_ROOT/etc/security/chfn.allow
> $RPM_BUILD_ROOT/etc/security/chsh.allow

> $RPM_BUILD_ROOT%{_sysconfdir}/d_passwd
> $RPM_BUILD_ROOT%{_sysconfdir}/dialups
install man/dpasswd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install man/groups.1 $RPM_BUILD_ROOT%{_mandir}/man1
install man/ja/dpasswd.8 $RPM_BUILD_ROOT%{_mandir}/ja/man8
install man/pl/dpasswd.8 $RPM_BUILD_ROOT%{_mandir}/pl/man8
install man/pl/dialups.5 $RPM_BUILD_ROOT%{_mandir}/pl/man5
install man/pl/groups.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1

ln -sf vipw $RPM_BUILD_ROOT%{_sbindir}/vigr

echo .so newgrp.1 > $RPM_BUILD_ROOT%{_mandir}/man1/sg.1
echo .so vipw.8   > $RPM_BUILD_ROOT%{_mandir}/man8/vigr.8

echo .so newgrp.1 > $RPM_BUILD_ROOT%{_mandir}/pl/man1/sg.1
echo .so vipw.8   > $RPM_BUILD_ROOT%{_mandir}/pl/man8/vigr.8

echo .so newgrp.1 > $RPM_BUILD_ROOT%{_mandir}/ja/man1/sg.1

gzip -9nf doc/ANNOUNCE NEWS doc/README doc/README.linux doc/HOWTO

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{!?_without_static:#}/sbin/ldconfig
if [ ! -f /etc/shadow ]; then
	%{_sbindir}/pwconv
fi

%{!?_without_static:#}%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/*.gz

%attr(750,root,root) %dir %{_sysconfdir}/default
%attr(640,root,root) %config %verify(not md5 size mtime) %{_sysconfdir}/default/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/chage
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/passwd
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/shadow
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/useradd

%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/login.defs
%attr(600,root,root) %ghost %{_sysconfdir}/shadow

%dir /etc/skel

%{!?_without_static:#}%attr(755,root,root) %{_libdir}/lib*
%attr(755,root,root) %{_sbindir}/chpasswd
%attr(755,root,root) %{_sbindir}/group*
%attr(755,root,root) %{_sbindir}/grpck
%attr(755,root,root) %{_sbindir}/pwck
%attr(755,root,root) %{_sbindir}/*conv
%attr(755,root,root) %{_sbindir}/user*
%attr(755,root,root) %{_sbindir}/vigr
%attr(755,root,root) %{_sbindir}/vipw
%attr(755,root,root) %{_bindir}/faillog
%attr(755,root,root) %{_bindir}/groups
%attr(755,root,root) %{_bindir}/lastlog
%attr(4755,root,root) %{_bindir}/passwd

%{_mandir}/man1/groups.*
%{_mandir}/man1/passwd.*
#%{_mandir}/man1/su.*
%{_mandir}/man5/faillog.*
%{_mandir}/man5/login.*
%{_mandir}/man5/passwd.*
%{_mandir}/man5/shadow.*
%{_mandir}/man5/suauth.*
%{_mandir}/man8/faillog.*
%{_mandir}/man8/groupadd.*
%{_mandir}/man8/groupdel.*
%{_mandir}/man8/groupmod.*
%{_mandir}/man8/grpck.*
%{_mandir}/man8/grpconv.*
%{_mandir}/man8/grpunconv.*
%{_mandir}/man8/lastlog.*
%{_mandir}/man8/pwck.*
%{_mandir}/man8/pwconv.*
%{_mandir}/man8/pwunconv.*
%{_mandir}/man8/useradd.*
%{_mandir}/man8/userdel.*
%{_mandir}/man8/usermod.*
%{_mandir}/man8/vigr.*
%{_mandir}/man8/vipw.*
%{_mandir}/man8/chpasswd.*

%lang(ja) %{_mandir}/ja/man1/passwd.*
%lang(ja) %{_mandir}/ja/man5/faillog.*
%lang(ja) %{_mandir}/ja/man5/login.*
%lang(ja) %{_mandir}/ja/man5/passwd.*
%lang(ja) %{_mandir}/ja/man5/shadow.*
%lang(ja) %{_mandir}/ja/man5/suauth.*
%lang(ja) %{_mandir}/ja/man8/faillog.*
%lang(ja) %{_mandir}/ja/man8/groupadd.*
%lang(ja) %{_mandir}/ja/man8/groupdel.*
%lang(ja) %{_mandir}/ja/man8/groupmod.*
%lang(ja) %{_mandir}/ja/man8/grpck.*
%lang(ja) %{_mandir}/ja/man8/lastlog.*
%lang(ja) %{_mandir}/ja/man8/pwck.*
%lang(ja) %{_mandir}/ja/man8/pwconv.*
%lang(ja) %{_mandir}/ja/man8/userdel.*
%lang(ja) %{_mandir}/ja/man8/usermod.*

%lang(pl) %{_mandir}/pl/man1/groups.*
%lang(pl) %{_mandir}/pl/man1/passwd.*
%lang(pl) %{_mandir}/pl/man5/faillog.*
%lang(pl) %{_mandir}/pl/man5/login.*
%lang(pl) %{_mandir}/pl/man5/passwd.*
%lang(pl) %{_mandir}/pl/man5/shadow.*
%lang(pl) %{_mandir}/pl/man5/suauth.*
%lang(pl) %{_mandir}/pl/man8/faillog.*
%lang(pl) %{_mandir}/pl/man8/groupadd.*
%lang(pl) %{_mandir}/pl/man8/groupdel.*
%lang(pl) %{_mandir}/pl/man8/groupmod.*
%lang(pl) %{_mandir}/pl/man8/grpck.*
%lang(pl) %{_mandir}/pl/man8/grpconv.*
%lang(pl) %{_mandir}/pl/man8/grpunconv.*
%lang(pl) %{_mandir}/pl/man8/lastlog.*
%lang(pl) %{_mandir}/pl/man8/pwck.*
%lang(pl) %{_mandir}/pl/man8/pwconv.*
%lang(pl) %{_mandir}/pl/man8/pwunconv.*
%lang(pl) %{_mandir}/pl/man8/useradd.*
%lang(pl) %{_mandir}/pl/man8/userdel.*
%lang(pl) %{_mandir}/pl/man8/usermod.*
%lang(pl) %{_mandir}/pl/man8/vigr.*
%lang(pl) %{_mandir}/pl/man8/vipw.*

%lang(pt_BR) %{_mandir}/pt_BR/man5/shadow.*
%lang(pt_BR) %{_mandir}/pt_BR/man8/groupadd.*
%lang(pt_BR) %{_mandir}/pt_BR/man8/groupdel.*
%lang(pt_BR) %{_mandir}/pt_BR/man8/groupmod.*

%files extras
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/chfn
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/chsh
%attr(640,root,root) %config %verify(not md5 size mtime) /etc/security/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/d_passwd
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/dialups
%attr(755,root,root) %{_bindir}/chage
%attr(4755,root,root) %{_bindir}/chfn
%attr(4755,root,root) %{_bindir}/chsh
%attr(4755,root,root) %{_bindir}/expiry
%attr(4755,root,root) %{_bindir}/gpasswd
%attr(4755,root,root) %{_bindir}/newgrp
%attr(755,root,root) %{_bindir}/sg
#%attr(755,root,root) %{_bindir}/su
%attr(755,root,root) %{_sbindir}/dpasswd
%attr(755,root,root) %{_sbindir}/mkpasswd
%attr(755,root,root) %{_sbindir}/newusers

%{_mandir}/man1/chage.*
%{_mandir}/man1/chfn.*
%{_mandir}/man1/chsh.*
%{_mandir}/man1/expiry.*
%{_mandir}/man1/gpasswd.*
%{_mandir}/man1/newgrp.*
%{_mandir}/man1/sg.*
%{_mandir}/man8/dpasswd.*
%{_mandir}/man8/mkpasswd.*
%{_mandir}/man8/newusers.*

%lang(ja) %{_mandir}/ja/man1/chage.*
%lang(ja) %{_mandir}/ja/man1/chfn.*
%lang(ja) %{_mandir}/ja/man1/chsh.*
%lang(ja) %{_mandir}/ja/man1/gpasswd.*
%lang(ja) %{_mandir}/ja/man1/newgrp.*
%lang(ja) %{_mandir}/ja/man1/sg.*
%lang(ja) %{_mandir}/ja/man8/chpasswd.*
%lang(ja) %{_mandir}/ja/man8/dpasswd.*
%lang(ja) %{_mandir}/ja/man8/mkpasswd.*

%lang(pl) %{_mandir}/pl/man1/chage.*
%lang(pl) %{_mandir}/pl/man1/chfn.*
%lang(pl) %{_mandir}/pl/man1/chsh.*
%lang(pl) %{_mandir}/pl/man1/gpasswd.*
%lang(pl) %{_mandir}/pl/man1/newgrp.*
%lang(pl) %{_mandir}/pl/man1/sg.*
%lang(pl) %{_mandir}/pl/man5/d_passwd.*
%lang(pl) %{_mandir}/pl/man5/dialups.*
%lang(pl) %{_mandir}/pl/man8/chpasswd.*
%lang(pl) %{_mandir}/pl/man8/dpasswd.*
%lang(pl) %{_mandir}/pl/man8/mkpasswd.*
%lang(pl) %{_mandir}/pl/man8/newusers.*

%lang(pt_BR) %{_mandir}/pt_BR/man1/gpasswd.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: shadow.spec,v $
Revision 1.66  2002/04/06 14:55:05  undefine
- moved chpasswd.8 to main package(follow chpasswd)
- release 13

Revision 1.65  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.64  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.63  2002/02/22 23:03:18  ankry
- updated/fixed useradd man pages
- fixed useradd "usage" formatting
- remove non-working useradd -n option
- release 12

Revision 1.62  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.61  2002/01/08 05:24:37  gotar
- removed touching %{_sysconfdir}/{porttime,utmp},
- touch replaced with >.

Revision 1.60  2002/01/02 12:11:04  kloczek
- release 11: added passwd to Obsoletes for allow upgrade from MDK.

Revision 1.59  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.58  2001/12/20 17:12:31  gotar
- u+w for %{_sysconfdir}/shadow,
- release 10.

Revision 1.57  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.56  2001/11/16 15:00:55  malekith
- rel 8
- fixed SEGV on pwck -s with /etc/passwd with empty lines
- STBR

Revision 1.55  2001/11/12 08:45:36  ankry
- added more new man pages from 4.0.0 to rpm

Revision 1.54  2001/11/12 07:12:06  ankry
- added groups.1 man pages

Revision 1.53  2001/10/30 17:08:47  malekith
- rel 6
- moved chpasswd from -extras to main (required by installer)
- please stb and move to RPMS/ ASAP (installer fails on that)

Revision 1.52  2001/10/18 09:06:50  qboosh
- added "password required pam_make" to useradd.pamd - no more "authtok failed"
- fixed pld patch - useradd -r option is back
- release 5, STBR

Revision 1.51  2001/10/16 20:50:44  kloczek
- relesse 4.

Revision 1.50  2001/10/16 19:08:48  qboosh
- really removed porttime(5) man page
- removed /etc/{utmp,porttime} from -extras - not used
- added the rest of dialup stuff, moved all to -extras

Revision 1.49  2001/10/12 18:32:40  qboosh
- removed /etc/security dir from package - it's in our FHS and it's
  PAM-specific, not shadow-specific

Revision 1.48  2001/10/12 16:56:25  blues
- 751 for /etc/security

Revision 1.47  2001/10/12 15:13:17  blues
- relese 3 (bugfix)
- changed /etc/security to 755 (xserver crashes while starting)

Revision 1.46  2001/10/12 12:59:23  misiek
- added missing useradd.pamd (without this useradd won't work!)
- relase 2

Revision 1.45  2001/10/11 18:20:31  qboosh
- fixed -extras manuals

Revision 1.44  2001/10/11 03:42:45  kloczek
- moved chage, expiry, gpasswd, newgrp, sg to extras,
- spec adapterized and soem cosmetics in %descriotion,
- removed porttime(5) man page.

Revision 1.43  2001/10/09 19:01:39  qboosh
- added complete vipw+vigr, newgrp+sg
- (temporarily?) removed all su+login
- limits.5 commented out - /etc/limits is not used when PAM is enabled(?)

Revision 1.42  2001/10/08 16:58:25  qboosh
- removed all shadow(3) man pages (they are in glibc-devel now)

Revision 1.41  2001/10/07 15:04:06  blues
- some conflicts removed

Revision 1.40  2001/10/07 14:21:34  qboosh
- Epoch 1 to allow upgrade from 20001016

Revision 1.39  2001/10/07 00:27:22  blues
- added new package with some extra files
- some work in files section

Revision 1.38  2001/10/06 23:38:48  blues
- more fixes

Revision 1.37  2001/10/06 23:29:03  blues
- typo
- added stollen translations
- added missing libs and binaries

Revision 1.36  2001/10/06 22:14:02  ankry
- typos

Revision 1.35  2001/09/26 13:08:20  qboosh
- BuildRequires: libtool

Revision 1.34  2001/07/05 19:10:35  qboosh
- fixed pld patch (-M useradd option should be accepted and interpreted as NOP)
- release 4

Revision 1.33  2001/06/14 23:48:46  qboosh
- added default empty /etc/security/{chfn,chsh}.allow files
- release 3

Revision 1.32  2001/06/04 14:50:13  baggins
- libtoolize in %%build

Revision 1.31  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.30  2001/04/06 22:56:33  qboosh
- added /etc/skel directory to package
- gettextize --copy --force - needed to build with new gettext(?)
- release 2

Revision 1.29  2001/01/26 18:19:14  misiek
regenerate auto* stuff

Revision 1.28  2000/12/28 15:22:12  baggins
- added conditional build with shared libshadow
  (define _without_static for it)

Revision 1.27  2000/11/06 20:07:30  kloczek
- updated to 20001016,
- added chfn, chsh, passwd to package (added Obsoletes: passwd),
- added suid root for expiry.

Revision 1.26  2000/10/03 21:49:58  kloczek
- removed "Requires: pam" - this is automatycaly generated by find-requires
  script,
- added using rpm new automation suit.

Revision 1.25  2000/10/03 12:45:53  baggins
- release 1
- updated pam-userdb patch to 20000902
- removed DESTDIR patch
- added manpl patch with remaining pl manpages

Revision 1.24  2000/09/04 09:16:37  wiget
- version changed to 20000902
- removed cvs patch
pld and utmpx patch applied clean but pam-userdb rejected. baggins please look.

Revision 1.23  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.20  2000/02/03 08:53:47  waszi
- another small changes (pam.d or init.d)

Revision 1.19  1999/11/16 19:12:44  pius
- fixed pam support

Revision 1.18  1999/10/15 02:45:37  kloczek
- release 2,
- added "Obsoletes: shadow-utils" and "Provides: shadow-utils".

Revision 1.17  1999/09/23 03:55:10  kloczek
- added DESTDIR style install (patch DESTDIR).

Revision 1.16  1999/09/23 00:18:07  wiget
- removed newgrp (is in util-linux)

Revision 1.15  1999/09/22 22:38:14  wiget
- removed unneeded BuildRequires

Revision 1.14  1999/09/22 22:35:31  wiget
- upgraded to 19990827
- added shadow-cvs.patch
-- added polish manuals
- updated Source0 URL
- removed version from shadow-*pld.patch
- added new executable (logoutd, newgrp, sg, expiry)
- updated list of manuals

Revision 1.13  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 21 1999 Jan Rkorajski <baggins@pld.org.pl>
  [19990307-3]
- added pam-userdb patch for rebuilding /var/db database
  after chage, chpasswd, user/group add/del/mod

* Tue May 18 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [19990307-1]
- updated to latest version,
- removed old patches,
- %ghost /etc/shadow,
- FHS 2.0 && Unix98 changes,
- prepare for 1.0 PLD Linux ...

* Tue Feb 02 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [981228-1d]
- updated to 981228,
- compressed documentation && man pages
- added Group(pl).

* Fri Oct 09 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [980724-1d]
- build against PLD Tornado,
- restricted files permissions,
- removed adduser,
- renamed invalid package name to shadow,
- added %postin scripts,
- fixed pl translation,
- minor changes.

* Tue Sep 1 1998 Konrad Stpie <konrad@interdata.com.pl>
- modify to build non-root,
- change mkdir to install -d,
- %attr makros,
- translations for pl,
- update source URL,
- start at RH  spec file.
